Skip to main content
GET
Fetch a Specific Product

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

product
string
required

The id or the vid of the Product to retrieve.

Response

JSON A full Product object.

The Product object represents a unique CSP product, with its own pricing, description and entitlement assignments. The API allows you to create, fetch, and update products. You can retrieve individual Product objects, as well as a list of all.

object
enum<string>
required

Value is “Product”

Available options:
Product
id
string
required

A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.

Maximum string length: 128
descriptions
object
required

Language-specific product/service descriptions

status
enum<string>
required

CSPs may define whether they want to declare a product as available to offer.

Available options:
Active,
Suspended
vid
string

A Globally Unique Identifier (GUID) for this object. This value is generated by Vindicia.

Maximum string length: 128
created
string<datetime>

The date/time the object was created.

tax_classification
string

The tax classification or code for this product.

br_tax_category
enum<string>
Available options:
Goods,
Services
default_billing_plan
object
default_rate_plan
object

Rate Plans represents a pre-defined rating schedule - tier-based pricing for rated products (e.g. usage). Both pre-paid (aka License-based) and post-paid (metered, aka usage-based) services use pre-defined tiers to rate recorded events. Rate Plans support flat and per-unit pricing, volume discounts, standard consumption-based prices, included units with overage, and maximum/minimum charge limits.

end_of_life
string<datetime>

The date/time after which this product should be treated as out-of-service.

metadata
object

Metadata are sets of key-value pairs and are useful for storing additional, structured information on an object. This object is used to store a list of keys, which you create and associate with text string values. You use these key-value pairs to store custom data for your own internal tracking purposes, or to store CashBox specific data for defined CashBox purposes.

The metadata field supports key-value pairs with the following limitations:

Keys can be up to 256 characters

Keys can be any string that is needed, except only CashBox can prefix keys with vin:

Values can be up to 1024 characters

In some cases metadata from one object will be inherited automatically from one object to another that is spawned from it. e.g. metadata on a Subscription and SubscriptionItem will be inherited by all Transactions and TransactionItems that result from them.

entitlements
object

Entitlements granted by active subscriptions using this product on one or more subscription items.

inherited_entitlements
object[]

If a Product has other products bundled with it, the Entitlements for the Products in the bundle will be returned

billing_descriptor
string

Optional “soft descriptor” to send to the payment processor for transactions associated with a subscription using this product.

credit_granted
object

The Credit object represents a service credit granted to an account or subscription, taking the form of either currency, token, or time amounts.

prices
object

Default (i.e. “List”) prices for the product; one price per currency code. Prices can be overridden at purchase or with modification.

bundled_products
array

Other Products considered “bundled” under this one; purchase of this product’s SKU under a single price, grants the entitlements associated with it and with all bundled products (as of the time of creation).